/**
 * Ecriture de la classe Param qui
 * permet de spécifier un paramètre d'une formule
 * avec sa valeur numérique
 */

public class Param implements  Formule{

    // les attributs
    private String représentation;
    private double valeur;

    public Param(String représentation, double valeur) {
        this.représentation = représentation;
        this.valeur = valeur;
    }

    public void setValeur(double valeur) {
        this.valeur = valeur;
    }

    @Override
    public String écritureFormelle() {
        return représentation;
    }

    @Override
    public double valeurNumérique() {
        return valeur;
    }
}
